> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user profile



## OpenAPI

````yaml put /profile/update
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /profile/update:
    put:
      tags:
        - profile
      summary: Update user profile
      operationId: ProfileController_updateProfile
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProfileDto'
      responses:
        '200':
          description: Profile updated successfully
      security:
        - apiKey: []
components:
  schemas:
    UpdateProfileDto:
      type: object
      properties:
        name:
          type: string
          example: John Doe
          description: User name
        email:
          type: string
          example: user@example.com
          description: User email
        phone:
          type: string
          example: '+11234567890'
          description: Personal Phone number
        phone_number:
          type: string
          example: +11234567890,+11234567891
          description: Phone number Excluded
        authentication_status:
          type: number
          example: 1
          description: Authentication status (1 for true, 0 for false)
        max_calling:
          type: number
          example: 1
          description: Max calling enabled (1 for true, 0 for false)
        time_zone:
          type: string
          example: America/New_York
          description: Time zone
        twoAuth:
          type: boolean
          example: true
          description: Two factor authentication enabled
        encrypt:
          type: boolean
          example: true
          description: Encrypt role enabled
        countryCode:
          type: string
          example: '+1'
          description: Country code
        digitCountCountryCode:
          type: number
          example: 1
          description: Digit count for country code
        ghl_user:
          type: number
          example: 1
          description: GHL user authentication status
      required:
        - name
        - email
        - phone
        - phone_number
        - authentication_status
        - max_calling
        - time_zone
        - twoAuth
        - encrypt
        - countryCode
        - digitCountCountryCode
        - ghl_user
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````